package com.ruoyi.mall.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会员码对象 tb_vip_code
 *
 * @author lsm
 * @date 2023-12-22
 */
public class TbVipCode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会员码id */
    private Long codeId;

    /** 会员码 */
    @Excel(name = "会员码")
    private String vipCode;

    /** 是否核销0-未核销,1-已核销 */
    private Integer status;

    /** 核销时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date checkTime;

    /** 删除标记0-正常,1-删除 */
    private Integer delFlag;

    public void setCodeId(Long codeId)
    {
        this.codeId = codeId;
    }

    public Long getCodeId()
    {
        return codeId;
    }
    public void setVipCode(String vipCode)
    {
        this.vipCode = vipCode;
    }

    public String getVipCode()
    {
        return vipCode;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setCheckTime(Date checkTime)
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime()
    {
        return checkTime;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("codeId", getCodeId())
            .append("vipCode", getVipCode())
            .append("status", getStatus())
            .append("checkTime", getCheckTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
